Search
lxdream.org :: lxdream/RELEASE_NOTES
lxdream 0.9.1
released Jun 29
Download Now
filename RELEASE_NOTES
changeset 483:e367f778447e
prev403:1cf393db32f2
next623:95fcdcf2094c
author nkeynes
date Wed Nov 14 10:18:21 2007 +0000 (12 years ago)
permissions -rw-r--r--
last change Add portugese and german translations (thanks to GT and TK)
view annotate diff log raw
     1 Release notes for lxdream 0.8
     2 ===================================================
     5 Please note that this is an alpha release - many things are not yet 
     6 implemented, it has many bugs (especially wrt rendering), and it's
     7 not likely to run at 100% speed.
     9 Having said all that, some games are known to run to at least 
    10 some degree (aka everything we've tried), and most homebrew works 
    11 perfectly or nearly so - feel free to experiment and let us 
    12 know how it goes.
    14 Changes since Milestone 3
    15 -------------------------
    16 * Speed improvements (translation core now runs at roughly double the speed
    17   of M3)
    18 * GUI Overhaul - it's actually somewhat usable now. Also removed the gnome
    19   dependency (now just needs GTK 2.0)
    20 * Sound fixes (aka, some sound actually works now)
    21 * A few minor bugfixes and tweaks.
    23 Changes since Milestone 2
    24 -------------------------
    25 * Implemented the SH4 translation core
    26 * A handful of minor bugfixes
    28 No really, that's it. The good stuff is coming next version, honest
    30 Changes since Milestone 1
    31 -------------------------
    32 * Complete rewrite of nearly all PowerVR2 code - The M1 code was largely a
    33 quick hack to get something running. It's done for real now.
    34 * Initial IO event system (not widely used yet)
    35 * Lots of bugfixes throughout the system
    37 Known issues
    38 ------------
    39 The following are known bugs (as opposed to missing features) that will be
    40 fixed in the next release, but are too large to be fixed for this version:
    42 * Polygons that are partially clipped by the view frustum can be distorted
    43 quite badly
    44 * Limited depth precision causes tearing of view on some scenes.
    46 System requirements
    47 -------------------
    48 GTK 2.0+
    49 ESounD 2.36+
    50 OpenGL drivers with EXT_framebuffer_object support (any recent drivers should be
    51 fine)
    52 GCC, Make, etc.
    54 Building
    55 --------
    56 From the base directory
    57 ~$ ./configure
    58 ~$ make
    59 ~$ make install            (optional)
    61 Enjoy!
.